# ACE_Utils::UUID_Generator::UUID_State Struct Reference

Collaboration diagram for ACE_Utils::UUID_Generator::UUID_State:

[legend]
List of all members.

## Public Attributes

UUID_time | timestamp
UUID_node | node
ACE_UINT16 | clockSequence

## Detailed Description

Type to contain the UUID generator persistent state. This will be kept in memory mapped shared memory

## Member Data Documentation

ACE_UINT16 ACE_Utils::UUID_Generator::UUID_State::clockSequence

UUID_node ACE_Utils::UUID_Generator::UUID_State::node

UUID_time ACE_Utils::UUID_Generator::UUID_State::timestamp

The documentation for this struct was generated from the following file:

- UUID.h